Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156129 - yum does not log errors to yum.log
Summary: yum does not log errors to yum.log
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-27 19:19 UTC by Need Real Name
Modified: 2014-01-21 22:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-11-24 19:52:42 UTC


Attachments (Terms of Use)

Description Need Real Name 2005-04-27 19:19:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Epiphany/1.6.1

Description of problem:
It would be good if install errors were logged somewhere, maybe to yum.log

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
x

Additional info:

Comment 1 Jeremy Katz 2005-09-21 19:26:38 UTC
Which errors in particular?  The stuff that's output on the screen?

Seth -- we could easily do something with scriptfd like is being done for the
anaconda stuff now to be able to log and also read from the file.

Comment 2 Need Real Name 2005-09-21 22:05:08 UTC
The yum log should contain actions that yum has successfully or unsuccessfully 
carried out - not the curses based stuff on the screen, but a smaller subset of 
it.

Similar to the apt log.

Comment 3 Rahul Sundaram 2005-11-24 19:52:42 UTC
Moved this to upstream bugzilla.

https://devel.linux.duke.edu/bugzilla/show_bug.cgi?id=522


Note You need to log in before you can comment on or make changes to this bug.